---
updatedAt: 2025-09-18T22:20:27.000Z
agentTools:
  projectIndex: https://docs.nodereal.io/llms.txt
---

# BNBBurn API

> 📘 Supported on BSC mainnet.

The format of a BNB Smart Chain (mainnet) endpoint:

`https://bsc-mainnet.nodereal.io/v1/{{apiKey}}`

## nr\_getBlockNumberByTimeStamp

This API method returns the block number that was validated at a certain timestamp.

### Request Parameters

* `timestamp`- Integer value. Representing the Unix timestamp in seconds.
* `closet`- string value. The closet available block to the provided timestamp, either BEFORE or AFTER.

### Response Parameters

* `blockNumber`- hex encoded value.

### Example

```Text Request
{
  "id": 1,
  "jsonrpc": "2.0",
  "method": "nr_getBlockNumberByTimeStamp",
  "params": [
    1696118400,
   "AFTER"
  ]
}
```

```Text Result
{"jsonrpc":"2.0","id":1,"result":"0x1eb754f"}
```

## nr\_getDailyBlockCountAndReward

This API method returns the number of blocks validated daily and the amount of block rewards.

### Request Parameters

* `startDate`- the starting date in yyyy-mm-dd formate, eg: 2020-07-09
* `endDate`- the ending date in yyyy-mm-dd formate, eg: 2020-07-09
* `sort`- either asc or desc

### Response Parameters

* `totalCount`- hex value encode.
* `details`- object array.
  * `UTCDate`- the date in yyyy-mm-dd formate, eg: 2020-07-09
  * `unixTimeStamp`- Integer value. Representing the Unix timestamp in seconds.
  * `blockCount`- Integer value. Representing the daily block count.
  * `blockRewards`- hex value encode.

### Example

```Text Request
{
  "id": 1,
  "jsonrpc": "2.0",
  "method": "nr_getDailyBlockCountAndReward",
  "params": [
   "2022-07-09",
   "2022-07-12",
   "asc"
  ]
}
```

```Text Result
{"jsonrpc":"2.0","id":1,"result":{"totalCount":"0x4","details":[{"UTCDate":"2022-07-09","unixTimeStamp":1657324800,"blockCount":28787,"blockRewards":"0x0000000000000000000000000000000000000000000000875f54b2c6f6622ce5"},{"UTCDate":"2022-07-10","unixTimeStamp":1657411200,"blockCount":28790,"blockRewards":"0x000000000000000000000000000000000000000000000083d182240fefb04caf"},{"UTCDate":"2022-07-11","unixTimeStamp":1657497600,"blockCount":28793,"blockRewards":"0x00000000000000000000000000000000000000000000009e2cedaeca17e30068"},{"UTCDate":"2022-07-12","unixTimeStamp":1657584000,"blockCount":28773,"blockRewards":"0x0000000000000000000000000000000000000000000000a1aed02e235d42789e"}]}}
```

## nr\_getDailyBlockReward

This API method returns the amount of block rewards distributed to validators daily.

### Request Parameters

* `startDate`- the starting date in yyyy-mm-dd formate, eg: 2020-07-09
* `endDate`- the ending date in yyyy-mm-dd formate, eg: 2020-07-09
* `sort`- either asc or desc

### Response Parameters

* `totalCount`- hex value encode.
* `details`- object array.
  * `UTCDate`- the date in yyyy-mm-dd formate, eg: 2020-07-09
  * `unixTimeStamp`- Integer value. Representing the Unix timestamp in seconds.
  * `blockRewards`- hex value encode.

### Example

```Text Request
{
  "id": 1,
  "jsonrpc": "2.0",
  "method": "nr_getDailyBlockReward",
  "params": [
   "2022-07-09",
   "2022-07-12",
   "asc"
  ]
}
```

```Text Result
{"jsonrpc":"2.0","id":1,"result":{"totalCount":"0x4","details":[{"UTCDate":"2022-07-09","unixTimeStamp":1657324800,"blockRewards":"0x0000000000000000000000000000000000000000000000875f54b2c6f6622ce5"},{"UTCDate":"2022-07-10","unixTimeStamp":1657411200,"blockRewards":"0x000000000000000000000000000000000000000000000083d182240fefb04caf"},{"UTCDate":"2022-07-11","unixTimeStamp":1657497600,"blockRewards":"0x00000000000000000000000000000000000000000000009e2cedaeca17e30068"},{"UTCDate":"2022-07-12","unixTimeStamp":1657584000,"blockRewards":"0x0000000000000000000000000000000000000000000000a1aed02e235d42789e"}]}}
```

## nr\_getBlockReward

This API method Returns the block reward awarded for validating a certain block.

### Request Parameters

* `blockNumber`- Integer value. block number eg. 15778116

### Response Parameters

* `blockNumber`- Integer value. block number eg. 15778116
* `timestamp`- Integer value. Representing the Unix timestamp in seconds.
* `miner`- address value. The address of the beneficiary to whom the mining rewards were given
* `blockReward`- hex value encode.
* `uncleInclusionReward`- not used.

### Example

```Text Request
{
  "id": 1,
  "jsonrpc": "2.0",
  "method": "nr_getBlockReward",
  "params": [
    15778116
  ]
}
```

```Text Result
{"jsonrpc":"2.0","id":1,"result":{"blockNumber":15778116,"timestamp":1646435288,"miner":"0xea0a6e3c511bbd10f4519ece37dc24887e11b55d","blockReward":"0x000000000000000000000000000000000000000000000000012df5841cabc5c5","uncleInclusionReward":"0"}}
```